Package ch.qos.logback.core.joran.conditional

# Class IfAction

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.joran.action.Action
ch.qos.logback.core.joran.conditional.IfAction

All Implemented Interfaces:
  `ContextAware`

public class IfAction extends Action

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MISSING_JANINO_MSG`
`static final String`
`MISSING_JANINO_SEE`

### Fields inherited from class ch.qos.logback.core.joran.action.Action

`ACTION_CLASS_ATTRIBUTE, CLASS_ATTRIBUTE, FILE_ATTRIBUTE, KEY_ATTRIBUTE, NAME_ATTRIBUTE, PATTERN_ATTRIBUTE, SCOPE_ATTRIBUTE, VALUE_ATTRIBUTE`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`IfAction()`

## Method Summary

Modifier and Type
Method
Description
`void`
`begin(InterpretationContext ic, String name, Attributes attributes)`
Called when the parser encounters an element matching a `Pattern`.
`void`
`end(InterpretationContext ic, String name)`
`boolean`
`isActive()`
`void`
`setElseSaxEventList(List<SaxEvent> elseSaxEventList)`
`void`
`setThenSaxEventList(List<SaxEvent> thenSaxEventList)`

### Methods inherited from class ch.qos.logback.core.joran.action.Action

`body, getColumnNumber, getLineColStr, getLineNumber, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### MISSING_JANINO_MSG

public static final String MISSING_JANINO_MSG

See Also:
  - Constant Field Values

### MISSING_JANINO_SEE

public static final String MISSING_JANINO_SEE

See Also:
  - Constant Field Values

## Constructor Details

### IfAction

public IfAction()

## Method Details

### begin

public void begin(InterpretationContext ic, String name, Attributes attributes) throws ActionException
Description copied from class: `Action`
Called when the parser encounters an element matching a `Pattern`.

Specified by:
  `begin` in class `Action`
Throws:
  `ActionException`

### end

public void end(InterpretationContext ic, String name) throws ActionException

Specified by:
  `end` in class `Action`
Throws:
  `ActionException`

### setThenSaxEventList

public void setThenSaxEventList(List<SaxEvent> thenSaxEventList)

### setElseSaxEventList

public void setElseSaxEventList(List<SaxEvent> elseSaxEventList)

### isActive

public boolean isActive()